%define upstream_name pybind11_json

Name:           python-pybind11-json
Version:        0.2.13
Release:        %mkrel 1
Summary:        pybind11_json is an nlohmann::json to pybind11 bridge
License:        BSD
Group:          Development/Python
URL:            https://github.com/pybind/pybind11_json
Source0:        https://github.com/pybind/pybind11_json/archive/%{version}/pybind11_json-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pybind11-devel
BuildRequires:  json-devel

%description
pybind11_json is an nlohmann::json to pybind11 bridge, it allows you
to automatically convert nlohmann::json to py::object and the other
way around. Simply include the header, and the automatic conversion
will be enabled.

%package -n     pybind11-json-devel
License:        BSD
Summary:        pybind11_json is an nlohmann::json to pybind11 bridge
Group:          Development/C++
BuildRequires:  cmake
Requires:       pybind11-devel

%description -n pybind11-json-devel
pybind11_json is an nlohmann::json to pybind11 bridge, it allows you
to automatically convert nlohmann::json to py::object and the other
way around. Simply include the header, and the automatic conversion
will be enabled.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%cmake -DPYBIND11_INSTALL:BOOL=TRUE \
       -DUSE_PYTHON_INCLUDE_DIR:BOOL=FALSE
%cmake_build

%install
%cmake_install

%files -n pybind11-json-devel
%{_includedir}/pybind11_json/
%{_datadir}/cmake/pybind11_json/


%changelog
* Fri Dec 29 2023 joequant <joequant> 0.2.13-1.mga10
+ Revision: 2023594
- update to 0.2.13 and py3.12

* Thu Dec 28 2023 papoteur <papoteur> 0.2.12-2.mga10
+ Revision: 2023177
- rebuild for python 3.12

* Sun Jun 26 2022 joequant <joequant> 0.2.12-1.mga9
+ Revision: 1866357
- update deps
- update
- imported package python-pybind11-json

